#/**
#         ogr FormatCache
#@brief   Formatea el sistema de ficheros para la caché local.
#@return  (por determinar)
#@warning Prueba con formato Reiser.
#@exception OG_ERR_CACHE  No existe partición de caché o no se puede formatear.
#@note    El sistema de archivos de la caché se queda montado.
#@version 0.1 -  Integracion para Opengnsys  - EAC: FormatCache() en ATA.lib
#@author  Antonio J. Doblas Viso. Universidad de Malaga
#@date   2008/10/27
#@version 0.91 - Creacion cache local.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010-03-11
#*/ ##
# Variables locales.
local DEV MNTDIR
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME"
    return
fi

# Error si no hay definida partición de caché.
DEV=$(ogr FindCache) || ogr RaiseError $OG_ERR_CACHE "$MSG_NOCACHE" || return $?
DEV=$(ogr DiskToDev $DEV) || return $?

# Formatear sistema de ficheros.
ogr UnmountCache 2>/dev/null
           # Orden para formateo Reiser 3
mkfs.reiserfs -f $DEV -l "CACHE" 2>/dev/null || ogr RaiseError $OG_ERR_CACHE "$MSG_NOFORMAT" || return $?
           # Orden para formateo XFS
           #mkfs.xfs $DEV -L "CACHE" 2>/dev/null || ogr RaiseError $OG_ERR_CACHE "$MSG_NOFORMAT" || return $?
# Crear estructura básica
MNTDIR=$(ogr MountCache)
mkdir -p $MNTDIR/$OGIMG
